use cardinale_2009_data, clear

estimates restore gmm_iid_igmm

foreach logn of numlist -6 -4 0 {
   local n2value = (`logn' + 3.54)^2
   display _n(2) "{txt}Indirect effects evaluated at {res}`logn'{txt}, squared = {res}`n2value'"
   * indirect effect of logN on biomass
   nlcom ( [b1n]_cons + 2*(`n2value')*[b1n2]_cons) * [b2sa]_cons
   * indirect effect of logN on production
   nlcom ( ( [b1n]_cons + 2*(`n2value')*[b1n2]_cons) * [b2sa]_cons + [b2n]_cons ) * [b3chl]_cons
   set more on
   more
   set more off
}

exit
